%LECTURE D'UN FICHIER .DE3
%[DEP,NENR,LIB,NOMAX,FREQ] = lect_DE3(filename,pathname)
%
%DEP = matrice contenant les dplacements (N*LIB;NENR)
%NENR = nombre d'enregistrement
%LIB = nombre de DDL
%NOMAX = nombre maximum de noeuds
%REAC = frquence pour un calcul de frquences propres

function [DEP,NENR,LIB,NOMAX,FREQ] = lect_DE3(filename,pathname)
%%%%%%%%%%CF. ROUTINE IMPSAV%%%%%%%%%%

fid=fopen([pathname filename],'r');
NENR = 1;
fread(fid,1,'int32'); %Taille du bloc 1
while feof(fid) == 0
    fread(fid,3,'int32'); %3*ITYSAU
    fread(fid,28,'schar'); %Version ; Numjob
    fread(fid,7,'int32'); %Fin de bloc 1 ; Taille du bloc 2 ; ITROIS ; NOM ; NIVO ; ISP ; IDEUX
    fread(fid,1,'double'); %PPP
    FREQ(NENR) = fread(fid,1,'double'); %PREA
    fread(fid,3,'int32'); %Fin de bloc 2 ; Taille du bloc 3 ; IQVNT
    fread(fid,81,'double'); %AMULCC ; TIME
    fread(fid,6,'int32'); %Fin du bloc 3 ; Taille du bloc 4 ; IDEUX ; IF1 ; IF2 ; IDEUX
    fread(fid,8,'schar'); %CAFAK ; CREAC
    NCHAR = fread(fid,1,'int32'); %IDEUX , ITROIS ou ISEPT
    fread(fid,4*NCHAR,'schar'); %DEPX - DEPY - DEPZ(ou D/TZ) - TETX - TETY - TETZ - TETP
    fread(fid,2,'int32'); %Fin de bloc 4 ; Taille du bloc 5
    LIB = fread(fid,1,'int32');
    NOMAX = fread(fid,1,'int32');
    for i=1:NOMAX
        DEP(1+(i-1)*LIB:i*LIB,NENR)=fread(fid,LIB,'double');
    end
    fread(fid,1,'int32'); %Fin du bloc 5
    if isempty(fread(fid,1,'int32')) == 1 %Lecture des tailles de bloc 1
        break
    else
        NENR = NENR + 1;
    end
end
fclose(fid);
end